package com.zjrs.ggfw.rlzysc.bpo;

import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.ggfw.rlzysc.dto.JyzxQueryDTO;
import com.zjrs.ggfw.rlzysc.dto.SyZwxxQueryDTO;
import com.zjrs.ggfw.rlzysc.dto.ZphglQueryDTO;
import com.zjrs.ggfw.rlzysc.dto.ZwxxListDTO;
import com.zjrs.ggfw.rlzysc.dto.grzxjlxx.SyMapQyQueryDTO;
import com.zjrs.ggfw.rlzysc.dto.grzxjlxx.ZjDTO;
import com.zjrs.ggfw.rlzysc.po.RsRlzyLbggPO;

import java.util.List;
import java.util.Map;

public interface SyBPO {
    List<RsRlzyLbggPO> getLbggList();//轮播广告

    List getZyxxList();//职业信息

    List getZyxxList(String id);

    List<ZwxxListDTO> getZwtjList(SyZwxxQueryDTO dto);//职位推荐

    List getQytjList(); //企业推荐

    PageResult getFwggList(JyzxQueryDTO jyzxlx, int page, int rows);//服务公告列表

    PageResult getXyzpxxList(int page,int rows);//校园招聘信息

    PageResult getZxscZphxx(ZphglQueryDTO dto); //最新4场的招聘会信息

    List<Map<String, Object>> getZphCalendarList();

    Map<String, Object> getMapQy(ZjDTO dto);

    Map<String, Object> getMapZw(SyMapQyQueryDTO dto);
}

